#!/bin/bash

declare -a users
declare -a homedir

users=($(awk -F: '{ print $1 }' /etc/passwd))
homedir=($(awk -F: '{ print $7 }' /etc/passwd))

for user in "${users[@]}"
do
	if [ $user == $1 ]; then
		echo "${homedir[$user]}"
		break
	else
		echo "User $1 not found"
		break
	fi
done


